var system = require("../../../system");
var settings = require("../../../../config/settings");
const AppServiceBase = require("../../app.base");
//商标查询操作
class UtilsProductSve extends AppServiceBase {
  constructor() {
    super();
  }

  //--------------------------------应用中心获取产品信息-start-----------------------------------------------------
  /**
   * 根据产品类型码获取产品列表
   * @param {*} actionBody 
   */
  async findByTypeCode(pobj, actionBody) {
    if (!actionBody.typeCode) {
      return system.getResult(null, "actionBody.typeCode can not be empty");
    }
    var url = settings.centerAppUrl() + "action/opProduct/springBoard";
    return await this.execPostUrl(pobj, url);
  }
  /**
   * 根据产品类型码获取产品列表
   * @param {*} actionBody 
   */
  async findByTypeOneCode(pobj, actionBody) {
    if (!actionBody.typeOneCode) {
      return system.getResult(null, "actionBody.typeOneCode can not be empty");
    }
    var url = settings.centerAppUrl() + "action/opProduct/springBoard";
    return await this.execPostUrl(pobj, url);
  }
  /**
   * 获取产品详情
   * @param {*} obj 
   */
  async getProductDetailByCode(pobj, actionBody) {
    if (!actionBody.channelItemCode) {
      return system.getResult(null, "actionBody.channelItemCode can not be empty");
    }
    var url = settings.centerAppUrl() + "action/opProduct/springBoard";
    return await this.execPostUrl(pobj, url);
  }

  //--------------------------------应用中心获取产品信息--end----------------------------------------------------

}
module.exports = UtilsProductSve;
